Page MenuHomeVyOS Platform

Change default hostname when deploy from OVA without params.
Confirmed, Requires assessmentPublic

Description

In 1.2.4 when we deploy OVA without defined hostname, - default hostname is debian, propose change it to vyos.
https://github.com/vyos/vyos-cloud-init/blob/current/cloudinit/config/cc_vyos.py#L145 replace to

if hostname != '':
    config.set(['system', 'host-name'], value=hostname, replace=True)
else:
    config.set(['system', 'host-name'], value='vyos', replace=True)

Details

Difficulty level
Unknown (require assessment)
Version
1.2.4
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

Dmitry created this task.Jan 2 2020, 3:27 PM
UnicronNL closed this task as Resolved.Jan 2 2020, 9:51 PM
pasik added a subscriber: pasik.Mar 1 2020, 9:35 PM
syncer reopened this task as Confirmed.Apr 16 2020, 4:44 PM
syncer added a subscriber: syncer.

@UnicronNL not sure where exactly you resolved it but the problem exists till now